### 8.252 `UMASK` — Set the file creation mask

Description:
  Sets the file creation mask to MASK. If called as a function, it returns the old value. If called as a subroutine and argument OLD if it is supplied, it is set to the old value. See `umask(2)`.
Standard:
  GNU extension
Class:
  Subroutine, function
Syntax:

  `CALL UMASK(MASK [, OLD])`
  `OLD = UMASK(MASK)`

Arguments:

  MASK | Shall be a scalar of type `INTEGER`.
  OLD | (Optional) Shall be a scalar of type `INTEGER`.